Bug 220256 - mail/milter-greylist and mail/milter-greylist-devel are the same port for a long time
Summary: mail/milter-greylist and mail/milter-greylist-devel are the same port for a l...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2017-06-24 13:48 UTC by Alexander Ushakov
Modified: 2017-08-22 02:52 UTC (History)
3 users (show)

See Also:
koobs: maintainer-feedback? (m.tsatsenko)


Attachments
the patch (1005 bytes, patch)
2017-07-10 22:15 UTC, m.tsatsenko
m.tsatsenko: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Ushakov 2017-06-24 13:48:17 UTC
mail/milter-greylist-devel port use the same version of software (milter-greylist-4.6.2.tgz with same MD5) as main mail/milter-greylist port. These ports are updated all together for along time at the same dates. The only difference between them is DKIM option in devel port referring to mail/opendkim port which is stable for a long time.

May be it is better to add DKIM option to main port and close devel one as there are no other differences?
Comment 1 m.tsatsenko 2017-06-24 21:25:53 UTC
Agreed. 
Upstream does not provide -devel version of the software anymore and thus there is no point at all in corresponding port. As an alternative -devel port could be updated to the latest CSV snapshoot.
Comment 2 Daniel Austin 2017-06-25 10:57:34 UTC
It's been a while since the author has published a devel edition, so I guess it makes no sense keeping two ports... so long as the main port enables DKIM as that was one of the main reasons people installed -devel.

I don't think there's much use following CVS.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2017-06-25 11:03:22 UTC
Maintainer to clarify/confirm course of action (with patch)
Comment 4 m.tsatsenko 2017-06-26 04:22:10 UTC
It seems we have came to conclusion. I will run testbuilds and submit the patch next days.
Comment 5 m.tsatsenko 2017-07-10 22:15:03 UTC
Created attachment 184244 [details]
the patch

- Merge DKIM support from -devel port

QA:
portlint OK
poudriere 103amd64 OK
Comment 6 Steve Wills freebsd_committer 2017-08-18 17:49:14 UTC
Attachment 184244 [details] applies cleanly for me.
Comment 7 Steve Wills freebsd_committer 2017-08-18 17:56:53 UTC
(In reply to m.tsatsenko from comment #5)
This patch doesn't change the default options. Are you OK with pulling the default options from mail/milter-greylist-devel in:

OPTIONS_DEFAULT=DKIM SPF GEOIP CURL

If so, I'll add that and commit.
Comment 8 m.tsatsenko 2017-08-18 21:22:20 UTC
Fine with that.
Thanks!
Comment 9 commit-hook freebsd_committer 2017-08-22 02:50:16 UTC
A commit references this bug:

Author: swills
Date: Tue Aug 22 02:49:22 UTC 2017
New revision: 448508
URL: https://svnweb.freebsd.org/changeset/ports/448508

Log:
  mail/milter-greylist: Bring in DKIM option from milter-greylist-devel

  While here, make DKIM, SPF, GEOIP and CURL default like -devel

  PR:		220256
  Submitted by:	m.tsatsenko@gmail.com (maintainer)

Changes:
  head/mail/milter-greylist/Makefile
Comment 10 commit-hook freebsd_committer 2017-08-22 02:51:20 UTC
A commit references this bug:

Author: swills
Date: Tue Aug 22 02:50:41 UTC 2017
New revision: 448509
URL: https://svnweb.freebsd.org/changeset/ports/448509

Log:
  mail/milter-greylist-devel: set deprecated and expiration

  It is now the same as milter-greylist

  PR:		220256
  Approved by:	Daniel Austin <freebsd-ports@dan.me.uk> (maintainer)

Changes:
  head/mail/milter-greylist-devel/Makefile
Comment 11 Steve Wills freebsd_committer 2017-08-22 02:52:25 UTC
Committed, thanks!